# Enable/Disable Routing Policy - EnableRoutePolicy

## Overview

Enable/Disable Routing Policy






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `EnableRoutePolicy`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. Leave it blank for the default project. Sub-accounts must fill in. Please refer to the [GetProjectList API](/docs/api/summary/get_project_list) |**Yes**|
| **UGNID** | string | UGN Instance ID |**Yes**|
| **PolicyId** | string | Routing Policy ID |**Yes**|
| **Enable** | boolean | Enable or not |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
https://api.genesissai.com/?Action=EnableRoutePolicy
&ProjectId=DGXEDfus
&UGNID=zcCwkpLm
&PolicyId=QgZotSrl
&Enable=false
```

### Response Example
    
```json
{
  "Action": "EnableRoutePolicyResponse",
  "Policies": [
    {
      "Action": "HSBLxvGJ",
      "Direction": "kHYCHrxu",
      "DstNetworkTypes": [
        "RKzczRUR"
      ],
      "DstNetworks": [
        {
          "NetworkId": "znsPaZCE",
          "Prefixes": [
            "XIqfpOIR"
          ]
        }
      ],
      "Enabled": false,
      "PolicyId": "ncgcLNwU",
      "Priority": 3,
      "Region": 1,
      "RoutePriority": 4,
      "SrcNetworkTypes": [
        "bPBLKGzS"
      ],
      "SrcNetworks": [
        {
          "NetworkId": "IeQJkOlB",
          "Prefixes": [
            "KHASYtGK"
          ]
        }
      ],
      "SrcRegions": [
        7
      ]
    }
  ],
  "RetCode": 0
}
```





